using Microsoft.AspNetCore.Mvc;
using System.Text;
using Entidades;

namespace AlquilaFacil.Controllers;

[ApiController]
public class InquilinoController: ControllerBase
{
    
    [HttpGet("api/inquilino")]
    public IActionResult Get(){     
        return Ok();
    }

    [HttpPost("api/inquilino")]
    public IActionResult Post([FromForm] Cliente inq){
        if (inq == null) return BadRequest("Inquilino inválido.");
        if (inq.dni == 0 ) return BadRequest("No se especifico dni");
        if (inq.dni < 0 ) return BadRequest("Dni Invalido");

        return Ok();

    }

}
